package com.oguerreiro.resilient.domain;

import java.util.Random;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;

public class UnitConverterTestSamples {

    private static final Random random = new Random();
    private static final AtomicLong longCount = new AtomicLong(random.nextInt() + (2 * Integer.MAX_VALUE));
    private static final AtomicInteger intCount = new AtomicInteger(random.nextInt() + (2 * Short.MAX_VALUE));

    public static UnitConverter getUnitConverterSample1() {
        return new UnitConverter().id(1L).name("name1").description("description1").convertionFormula("convertionFormula1").version(1);
    }

    public static UnitConverter getUnitConverterSample2() {
        return new UnitConverter().id(2L).name("name2").description("description2").convertionFormula("convertionFormula2").version(2);
    }

    public static UnitConverter getUnitConverterRandomSampleGenerator() {
        return new UnitConverter()
            .id(longCount.incrementAndGet())
            .name(UUID.randomUUID().toString())
            .description(UUID.randomUUID().toString())
            .convertionFormula(UUID.randomUUID().toString())
            .version(intCount.incrementAndGet());
    }
}
